﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    class ForumConfiguration : IEntityTypeConfiguration<Forum>
    {
        public void Configure(EntityTypeBuilder<Forum> builder)
        {
            builder.HasKey(x => x.Id);

            builder.HasIndex(x => new { x.CourseId, x.Name})
                .IsUnique();

            builder.Property(x => x.Name)
                .IsRequired()
                .HasColumnType("character varying(50)");

            builder.HasOne(x => x.Course)
                .WithMany(x => x.Forums)
                .HasForeignKey(x => x.CourseId);

        }
    }
}
